Package org.eclipse.net4j.util.ui.views

## Interface ContainerItemProvider.Node

- All Known Implementing Classes:
    `ContainerItemProvider.AbstractContainerNode`, `ContainerItemProvider.AbstractNode`, `ContainerItemProvider.ContainerNode`, `ContainerItemProvider.FixedChildrenNode`, `ContainerItemProvider.LeafNode`
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

      public static interface ContainerItemProvider.Node

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<ContainerItemProvider.Node>` | `NO_CHILDREN` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `void` | `disposeChildren()` |
    `java.util.List<ContainerItemProvider.Node>` | `getChildren()` |
    `java.lang.Object` | `getElement()` |
    `ContainerItemProvider.Node` | `getParent()` |
    `TreePath` | `getTreePath()` |
    `boolean` | `hasChildren()` |
    `boolean` | `isDisposed()` |

- - ### Field Detail

    - #### NO_CHILDREN

          static final java.util.List<ContainerItemProvider.Node> NO_CHILDREN

      Since:
        3.9

  - ### Method Detail

    - #### isDisposed

          boolean isDisposed()

    - #### dispose

          void dispose()

    - #### disposeChildren

          void disposeChildren()

      Since:
        3.5

    - #### getElement

          java.lang.Object getElement()

    - #### getParent

          ContainerItemProvider.Node getParent()

    - #### hasChildren

          boolean hasChildren()

      Since:
        3.5

    - #### getChildren

          java.util.List<ContainerItemProvider.Node> getChildren()

    - #### getTreePath

          TreePath getTreePath()